#
# spec file for package supportutils-plugin-susemanager-client
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           supportutils-plugin-susemanager-client
Version:        4.3.3
Release:    150000.3.21.2
Source: supportutils-plugin-susemanager-client-git-0.1397412.tar.gz
Summary:        Supportconfig Plugin for SUSE Manager Client
License:        GPL-2.0-only
Group:          Documentation/SuSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       supportconfig-plugin-resource
Requires:       supportconfig-plugin-tag
Supplements:    packageand(spacewalk-check:supportutils)
Supplements:    packageand(salt-minion:supportutils)

%description
Extends supportconfig functionality to include system information for
a SUSE Manager Client. The supportconfig saves the plugin output to
plugin-susemanagerclient.txt.

%prep
%setup -q -n supportutils-plugin-susemanager-client-git-0.1397412
%build
gzip -9f susemanagerclient-plugin.8

%install
pwd;ls -la
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/lib/supportconfig/plugins
install -d $RPM_BUILD_ROOT/usr/share/man/man8
install -d $RPM_BUILD_ROOT/sbin
install -m 0544 susemanagerclient $RPM_BUILD_ROOT/usr/lib/supportconfig/plugins
install -m 0644 susemanagerclient-plugin.8.gz $RPM_BUILD_ROOT/usr/share/man/man8/susemanagerclient-plugin.8.gz

%files
%defattr(-,root,root)
%doc COPYING.GPLv2
/usr/lib/supportconfig
/usr/lib/supportconfig/plugins
/usr/lib/supportconfig/plugins/susemanagerclient
/usr/share/man/man8/susemanagerclient-plugin.8.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 29 2023 marina.latini@suse.com
- version 4.3.3-1
  * Write configured crypto-policy in supportconfig
  * Add cloud and Pay-as-you-go checks
* Wed May  4 2022 jgonzalez@suse.com
- version 4.3.2-1
  * Add proxy containers config and logs
* Mon Aug  9 2021 jgonzalez@suse.com
- version 4.3.1-1
- Bump version to 4.3.0
* Wed Nov 25 2020 jgonzalez@suse.com
- version 4.2.2-1
- remove checks for obsolete packages
- gather new configfiles
- add more important informations
* Fri Sep 18 2020 jgonzalez@suse.com
- version 4.2.1-1
- Update package version to 4.2.0
* Wed Jan 22 2020 jgonzalez@suse.com
- version 4.1.2-1
- rename rhncfg-actions to mgr-cfg-actions
* Wed Nov 27 2019 jgonzalez@suse.com
- version 4.1.1-1
- Bump version to 4.1.0 (bsc#1154940)
* Wed May 15 2019 jgonzalez@suse.com
- version 4.0.2-1
- SPEC cleanup
* Fri Aug 10 2018 jgonzalez@suse.com
- version 4.0.1-1
- Bump version to 4.0.0 (bsc#1104034)
- Fix copyright for the package specfile (bsc#1103696)
* Thu Oct 26 2017 mc@suse.de
- version 3.2.1-1
- released in the SLE15 code stream
* Thu Aug  3 2017 mc@suse.com
- released in the SLE12 code stream (bsc#1052039)
* Wed Jan 11 2017 michele.bologna@suse.com
- version 3.1.1-1
- Version bump for 3.1
* Fri Dec 16 2016 michele.bologna@suse.com
- version 3.0.5-1
- Include correct config file in the supportconfig
* Wed Apr  6 2016 mc@suse.de
- version 3.0.4-1
- install supportutils plugin if salt-minion is installed
* Wed Mar  9 2016 mc@suse.de
- version 3.0.3-1
- include salt minion config files into supportconfig
* Wed Mar  2 2016 mc@suse.de
- version 3.0.2-1
- add info about salt to supportconfig
* Wed Oct  7 2015 mc@suse.de
- version 3.0.1-1
- collect salt minion logfile for supportconfig
* Tue Feb  3 2015 mc@suse.de
- version 1.0.4-1
- write current service and repository configuration into
  supportconfig
* Thu Apr  3 2014 mc@suse.de
- version 1.0.3-1
- install COPYING file
* Mon Dec  9 2013 mc@suse.de
- version 1.0.2-1
- fix collecting logs and add more configs to add
- Supplements with packageand spacewalk-check and supportutils
* Thu Oct 10 2013 mc@suse.de
- version 1.0.1-1
- Initial package release
